Bug 175269 - evolution --usage prints superfluous text
Summary: evolution --usage prints superfluous text
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-08 13:33 UTC by Joachim Backes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:43:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2005-12-08 13:33:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
evolution --usage prints the following text: (see above). The option description itself is correct, but what about the lot of "[-?]":  Why are they repeated 8 times?

Usage: evolution [-?] [-?] [-?] [-?] [-?] [-?] [-?] [-?] [-?|--help] [--usage] [-c|--component STRING]
        [--offline] [--online] [--force-shutdown] [--debug=STRING]
        [--disable-eplugin] [--gdk-debug=FLAGS] [--gdk-no-debug=FLAGS]
        [--display=DISPLAY] [--screen=SCREEN] [--sync] [--name=NAME]
        [--class=CLASS] [--gtk-debug=FLAGS] [--gtk-no-debug=FLAGS]
        [--g-fatal-warnings] [--gtk-module=MODULE] [--oaf-ior-fd=FD]
        [--oaf-activate-iid=IID] [--oaf-private] [--disable-sound]
        [--enable-sound] [--espeaker=HOSTNAME:PORT] [--version]
        [--sm-client-id=ID] [--sm-config-prefix=PREFIX] [--sm-disable]
        [--disable-crash-dialog] [--load-modules=MODULE1,MODULE2,...]


Version-Release number of selected component (if applicable):
evolution-2.2.3-2.fc4

How reproducible:
Always

Steps to Reproduce:
1.evolution --usage
2.
3.
  

Actual Results:  A lot of [-?] occurences.

Expected Results:  Not a lot of [-?]

Additional info:

--

Comment 1 Joachim Backes 2005-12-08 13:36:14 UTC
Additionally, the target mail address is missing in the descripted evolution
command.

Comment 2 Christian Iseli 2007-01-20 01:00:51 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Joachim Backes 2007-01-22 06:09:47 UTC
FC6 does not show the described behaviour. Report can be closed. 

Comment 4 Matthew Barnes 2007-01-22 12:43:08 UTC
Thanks for responding.  Closing per comment #3.


Note You need to log in before you can comment on or make changes to this bug.